package eu.europa.ec.taxud.cesop.validation;

import java.util.List;

import eu.europa.ec.taxud.cesop.domain.ValidationError;
import eu.europa.ec.taxud.cesop.domain.XmlPaymentDataMsg;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Result of Payment Data File validation.
 */
@Getter
@RequiredArgsConstructor
public class PspValidationResult {
    private final XmlPaymentDataMsg paymentDataMsg;
    private final List<ValidationError> errors;
}
